cURL
curl "https://api.neuraldraft.io/v1/public/availability?service_id=12&from=2026-04-19&to=2026-04-26"
const r = await fetch("https://api.neuraldraft.io/v1/public/availability?service_id=12&from=2026-04-19&to=2026-04-26");
slots = requests.get("https://api.neuraldraft.io/v1/public/availability",
params={"service_id":12,"from":"2026-04-19","to":"2026-04-26"}).json()
<?php
$slots = json_decode(file_get_contents('https://api.neuraldraft.io/v1/public/availability?service_id=12&from=2026-04-19&to=2026-04-26'), true);
{
"data": {}
}{
"type": "https://api.neuraldraft.io/errors/bad_request",
"title": "Bad request",
"status": 400,
"detail": "Request body could not be parsed.",
"code": "bad_request",
"instance": "req_2Nh4PqRsTuVw"
}{
"type": "https://api.neuraldraft.io/errors/not_found",
"title": "Not found",
"status": 404,
"detail": "No such resource.",
"code": "not_found",
"instance": "req_2Nh4PqRsTuVw"
}{
"type": "https://api.neuraldraft.io/errors/rate_limited",
"title": "Too many requests",
"status": 429,
"detail": "Rate limit exceeded. Retry in 12 seconds.",
"code": "rate_limited",
"instance": "req_2Nh4PqRsTuVw"
}Booking
Public availability lookup
Same as GET /availability but does not require auth. Rate limited per IP.
GET
/
public
/
availability
cURL
curl "https://api.neuraldraft.io/v1/public/availability?service_id=12&from=2026-04-19&to=2026-04-26"
const r = await fetch("https://api.neuraldraft.io/v1/public/availability?service_id=12&from=2026-04-19&to=2026-04-26");
slots = requests.get("https://api.neuraldraft.io/v1/public/availability",
params={"service_id":12,"from":"2026-04-19","to":"2026-04-26"}).json()
<?php
$slots = json_decode(file_get_contents('https://api.neuraldraft.io/v1/public/availability?service_id=12&from=2026-04-19&to=2026-04-26'), true);
{
"data": {}
}{
"type": "https://api.neuraldraft.io/errors/bad_request",
"title": "Bad request",
"status": 400,
"detail": "Request body could not be parsed.",
"code": "bad_request",
"instance": "req_2Nh4PqRsTuVw"
}{
"type": "https://api.neuraldraft.io/errors/not_found",
"title": "Not found",
"status": 404,
"detail": "No such resource.",
"code": "not_found",
"instance": "req_2Nh4PqRsTuVw"
}{
"type": "https://api.neuraldraft.io/errors/rate_limited",
"title": "Too many requests",
"status": 429,
"detail": "Rate limit exceeded. Retry in 12 seconds.",
"code": "rate_limited",
"instance": "req_2Nh4PqRsTuVw"
}⌘I